Index: /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/variable.f90
===================================================================
--- /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 5212)
+++ /branches/2015/dev_r5021_UKMO1_CICE_coupling/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 5213)
@@ -2090,53 +2420,54 @@
  
    END FUNCTION var__init_1D_i8
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This function initalise a variable structure.
-   !> - integer(8) 2D table of value could be added. 
-   !> - dimension structure could be added.
-   !> - attribute structure could be added
-   !
+   !-------------------------------------------------------------------
+   !> @brief This function initialize a variable structure,
+   !> with a integer(8) 2D array of value.
    !> @details 
-   !> table of 2 dimension structure is needed to put value in variable structure. 
-   !> If none is given, we assume table is ordered as ('x','y') and we 
-   !> use table size as lentgh dimension. 
+   !> optionally could be added:<br/>
+   !> - dimension structure.
+   !> - attribute structure.
+   !>
+   !> array of 2 dimension structure is needed to put value in variable structure. 
+   !> If none is given, we assume array is ordered as ('x','y') and we 
+   !> use array size as lentgh dimension. 
    !>
    !> indices in the variable where value will be written could be specify if
-   !> start and count table are given. Dimension structure is needed in that 
+   !> start and count array are given. Dimension structure is needed in that 
    !> case.    
    !
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] cd_name : variable name
-   !> @param[in] kd_value : 2D table of integer(8) value
-   !> @param[in] id_start : index in the variable from which the data values 
+   !> - November, 2013- Initial Version
+   !
+   !> @param[in] cd_name         variable name
+   !> @param[in] kd_value        2D array of integer(8) value
+   !> @param[in] id_start        index in the variable from which the data values 
    !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !> @param[in] id_type : variable type 
-   !> @param[in] td_dim   : table of dimension structure
-   !> @param[in] td_att  : table of attribute structure
-   !> @param[in] kd_fill : fill value
-   !> @param[in] cd_units : units
-   !> @param[in] cd_stdname : variable standard name
-   !> @param[in] cd_longname : variable long name
-   !> @param[in] cd_point : point on Arakawa-C grid (T,U,V,F)
-   !> @param[in] id_id : variable id
-   !> @param[in] id_ew : east west wrap
-   !> @param[in] dd_scf  : scale factor
-   !> @param[in] dd_ofs  : add offset
-   !> @param[in] id_rec : record id (for rstdimg file)
-   !> @param[in] dd_min : minimum value
-   !> @param[in] dd_max : maximum value
-   !> @param[in] ld_contiguous : use contiguous storage or not 
-   !> @param[in] ld_shuffle :  shuffle filter is turned on or not
-   !> @param[in] ld_fletcher32 : fletcher32 filter is turned on or not
-   !> @param[in] id_deflvl : deflate level from 0 to 9, 0 indicates no deflation is in use
-   !> @param[in] id_chunksz : chunk size
-   !-------------------------------------------------------------------
-   !> @code
+   !> @param[in] id_count        number of indices selected along each dimension
+   !> @param[in] id_type         variable type 
+   !> @param[in] td_dim          array of dimension structure
+   !> @param[in] td_att          array of attribute structure
+   !> @param[in] kd_fill         fill value
+   !> @param[in] cd_units        units
+   !> @param[in] cd_axis         axis expected to be used
+   !> @param[in] cd_stdname      variable standard name
+   !> @param[in] cd_longname     variable long name
+   !> @param[in] cd_point        point on Arakawa-C grid (T,U,V,F)
+   !> @param[in] id_id           variable id
+   !> @param[in] id_ew           east west wrap
+   !> @param[in] dd_scf          scale factor
+   !> @param[in] dd_ofs          add offset
+   !> @param[in] id_rec          record id (for rstdimg file)
+   !> @param[in] dd_min          minimum value
+   !> @param[in] dd_max          maximum value
+   !> @param[in] ld_contiguous   use contiguous storage or not 
+   !> @param[in] ld_shuffle       shuffle filter is turned on or not
+   !> @param[in] ld_fletcher32   fletcher32 filter is turned on or not
+   !> @param[in] id_deflvl       deflate level from 0 to 9, 0 indicates no deflation is in use
+   !> @param[in] id_chunksz      chunk size
+   !> @return variable structure
+   !-------------------------------------------------------------------
    TYPE(TVAR) FUNCTION var__init_2D_i8( cd_name, kd_value,        &
    &                                    id_start, id_count, id_type, td_dim, &
-   &                                    td_att, kd_fill, cd_units,&
+   &                                    td_att, kd_fill, cd_units, cd_axis,&
    &                                    cd_stdname, cd_longname,  &
    &                                    cd_point, id_id, id_ew,   &
@@ -2150,6 +2481,6 @@
       CHARACTER(LEN=*),                       INTENT(IN) :: cd_name
       INTEGER(i8)     , DIMENSION(:,:)     ,  INTENT(IN) :: kd_value
-      INTEGER(i4)     , DIMENSION(:)       , INTENT(IN), OPTIONAL :: id_start
-      INTEGER(i4)     , DIMENSION(:)       , INTENT(IN), OPTIONAL :: id_count
+      INTEGER(i4)     , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: id_start
+      INTEGER(i4)     , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: id_count
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_type 
       TYPE(TDIM)      , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: td_dim
@@ -2157,4 +2488,5 @@
       INTEGER(i8)     ,                       INTENT(IN), OPTIONAL :: kd_fill
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_units
+      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_axis 
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_stdname
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_longname
@@ -2206,4 +2538,5 @@
       &                         dd_fill=dl_fill,                    &
       &                         cd_units=cd_units,                  &
+      &                         cd_axis=cd_axis,                    &
       &                         cd_stdname=cd_stdname,              &
       &                         cd_longname=cd_longname,            &
@@ -2221,53 +2554,56 @@
       
    END FUNCTION var__init_2D_i8
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This function initalise a variable structure.
-   !> - integer(8) 2D table of value could be added. 
-   !> - dimension structure could be added.
-   !> - attribute structure could be added
-   !
+   !-------------------------------------------------------------------
+   !> @brief This function initialize a variable structure,
+   !> with a integer(8) 3D array of value.
    !> @details 
-   !> table of 2 dimension structure is needed to put value in variable structure. 
-   !> If none is given, we assume table is ordered as ('x','y') and we 
-   !> use table size as lentgh dimension. 
+   !> optionally could be added:<br/>
+   !> - dimension structure.
+   !> - attribute structure.
+   !>
+   !> array of 3 dimension structure is needed to put value in variable structure. 
+   !> If none is given, we assume array is ordered as ('x','y','z') and we 
+   !> use array size as lentgh dimension. 
    !>
    !> indices in the variable where value will be written could be specify if
-   !> start and count table are given. Dimension structure is needed in that 
+   !> start and count array are given. Dimension structure is needed in that 
    !> case.    
    !
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] cd_name : variable name
-   !> @param[in] kd_value : 2D table of integer(8) value
-   !> @param[in] id_start : index in the variable from which the data values 
-   !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !> @param[in] id_type : variable type 
-   !> @param[in] td_dim   : table of dimension structure
-   !> @param[in] td_att  : table of attribute structure
-   !> @param[in] kd_fill : fill value
-   !> @param[in] cd_units : units
-   !> @param[in] cd_stdname : variable standard name
-   !> @param[in] cd_longname : variable long name
-   !> @param[in] cd_point : point on Arakawa-C grid (T,U,V,F)
-   !> @param[in] id_id : variable id
-   !> @param[in] id_ew : east west wrap
-   !> @param[in] dd_scf  : scale factor
-   !> @param[in] dd_ofs  : add offset
-   !> @param[in] id_rec : record id (for rstdimg file)
-   !> @param[in] dd_min : minimum value
-   !> @param[in] dd_max : maximum value
-   !> @param[in] ld_contiguous : use contiguous storage or not 
-   !> @param[in] ld_shuffle :  shuffle filter is turned on or not
-   !> @param[in] ld_fletcher32 : fletcher32 filter is turned on or not
-   !> @param[in] id_deflvl : deflate level from 0 to 9, 0 indicates no deflation is in use
-   !> @param[in] id_chunksz : chunk size
-   !-------------------------------------------------------------------
-   !> @code
+   !> - November, 2013- Initial Version
+   !
+   !> @param[in] cd_name         variable name
+   !> @param[in] kd_value        2D array of integer(8) value
+   !> @param[in] id_start        index in the variable from which the 
+   !> data values will be read
+   !> @param[in] id_count        number of indices selected along 
+   !> each dimension
+   !> @param[in] id_type         variable type 
+   !> @param[in] td_dim          array of dimension structure
+   !> @param[in] td_att          array of attribute structure
+   !> @param[in] kd_fill         fill value
+   !> @param[in] cd_units        units
+   !> @param[in] cd_axis         axis expected to be used
+   !> @param[in] cd_stdname      variable standard name
+   !> @param[in] cd_longname     variable long name
+   !> @param[in] cd_point        point on Arakawa-C grid (T,U,V,F)
+   !> @param[in] id_id           variable id
+   !> @param[in] id_ew           east west wrap
+   !> @param[in] dd_scf          scale factor
+   !> @param[in] dd_ofs          add offset
+   !> @param[in] id_rec          record id (for rstdimg file)
+   !> @param[in] dd_min          minimum value
+   !> @param[in] dd_max          maximum value
+   !> @param[in] ld_contiguous   use contiguous storage or not 
+   !> @param[in] ld_shuffle       shuffle filter is turned on or not
+   !> @param[in] ld_fletcher32   fletcher32 filter is turned on or not
+   !> @param[in] id_deflvl       deflate level from 0 to 9, 0 indicates no 
+   !> deflation is in use
+   !> @param[in] id_chunksz      chunk size
+   !> @return variable structure
+   !-------------------------------------------------------------------
    TYPE(TVAR) FUNCTION var__init_3D_i8( cd_name, kd_value,        &
    &                                    id_start, id_count, id_type, td_dim, &
-   &                                    td_att, kd_fill, cd_units,&
+   &                                    td_att, kd_fill, cd_units, cd_axis,&
    &                                    cd_stdname, cd_longname,  &
    &                                    cd_point, id_id, id_ew,   &
@@ -2281,6 +2617,6 @@
       CHARACTER(LEN=*),                       INTENT(IN) :: cd_name
       INTEGER(i8)     , DIMENSION(:,:,:)   ,  INTENT(IN) :: kd_value
-      INTEGER(i4)     , DIMENSION(:)       , INTENT(IN), OPTIONAL :: id_start
-      INTEGER(i4)     , DIMENSION(:)       , INTENT(IN), OPTIONAL :: id_count
+      INTEGER(i4)     , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: id_start
+      INTEGER(i4)     , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: id_count
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_type 
       TYPE(TDIM)      , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: td_dim
@@ -2288,4 +2624,5 @@
       INTEGER(i8)     ,                       INTENT(IN), OPTIONAL :: kd_fill
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_units
+      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_axis 
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_stdname
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_longname
@@ -2338,4 +2675,5 @@
       &                         dd_fill=dl_fill,                    &
       &                         cd_units=cd_units,                  &
+      &                         cd_axis=cd_axis,                    &
       &                         cd_stdname=cd_stdname,              &
       &                         cd_longname=cd_longname,            &
@@ -2353,53 +2691,56 @@
       
    END FUNCTION var__init_3D_i8
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This function initalise a variable structure.
-   !> - integer(8) 4D table of value could be added. 
-   !> - dimension structure could be added.
-   !> - attribute structure could be added
-   !
+   !-------------------------------------------------------------------
+   !> @brief This function initialize a variable structure,
+   !> with a integer(8) 4D array of value.
    !> @details 
+   !> optionally could be added:<br/>
+   !> - dimension structure.
+   !> - attribute structure.
+   !>
    !> Dimension structure is needed to put value in variable structure. 
-   !> If none is given, we assume table is ordered as ('x','y','z','t') and we 
-   !> use table size as lentgh dimension. 
+   !> If none is given, we assume array is ordered as ('x','y','z','t') and we 
+   !> use array size as lentgh dimension. 
    !>
    !> indices in the variable where value will be written could be specify if
-   !> start and count table are given. Dimension structure is needed in that 
+   !> start and count array are given. Dimension structure is needed in that 
    !> case.    
    !
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] cd_name : variable name
-   !> @param[in] kd_value : 4D table of integer(8) value
-   !> @param[in] id_start : index in the variable from which the data values 
-   !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !> @param[in] id_type : variable type 
-   !> @param[in] td_dim   : table of dimension structure
-   !> @param[in] td_att  : table of attribute structure
-   !> @param[in] kd_fill : fill value
-   !> @param[in] cd_units : units
-   !> @param[in] cd_stdname : variable standard name
-   !> @param[in] cd_longname : variable long name
-   !> @param[in] cd_point : point on Arakawa-C grid (T,U,V,F)
-   !> @param[in] id_id : variable id
-   !> @param[in] id_ew : east west wrap
-   !> @param[in] dd_scf  : scale factor
-   !> @param[in] dd_ofs  : add offset
-   !> @param[in] id_rec : record id (for rstdimg file)
-   !> @param[in] dd_min : minimum value
-   !> @param[in] dd_max : maximum value
-   !> @param[in] ld_contiguous : use contiguous storage or not 
-   !> @param[in] ld_shuffle :  shuffle filter is turned on or not
-   !> @param[in] ld_fletcher32 : fletcher32 filter is turned on or not
-   !> @param[in] id_deflvl : deflate level from 0 to 9, 0 indicates no deflation is in use
-   !> @param[in] id_chunksz : chunk size
-   !-------------------------------------------------------------------
-   !> @code
+   !> - November, 2013- Initial Version
+   !
+   !> @param[in] cd_name         variable name
+   !> @param[in] kd_value        4D array of integer(8) value
+   !> @param[in] id_start        index in the variable from which the 
+   !> data values will be read
+   !> @param[in] id_count        number of indices selected along 
+   !> each dimension
+   !> @param[in] id_type         variable type 
+   !> @param[in] td_dim          array of dimension structure
+   !> @param[in] td_att          array of attribute structure
+   !> @param[in] kd_fill         fill value
+   !> @param[in] cd_units        units
+   !> @param[in] cd_axis         axis expected to be used
+   !> @param[in] cd_stdname      variable standard name
+   !> @param[in] cd_longname     variable long name
+   !> @param[in] cd_point        point on Arakawa-C grid (T,U,V,F)
+   !> @param[in] id_id           variable id
+   !> @param[in] id_ew           east west wrap
+   !> @param[in] dd_scf          scale factor
+   !> @param[in] dd_ofs          add offset
+   !> @param[in] id_rec          record id (for rstdimg file)
+   !> @param[in] dd_min          minimum value
+   !> @param[in] dd_max          maximum value
+   !> @param[in] ld_contiguous   use contiguous storage or not 
+   !> @param[in] ld_shuffle       shuffle filter is turned on or not
+   !> @param[in] ld_fletcher32   fletcher32 filter is turned on or not
+   !> @param[in] id_deflvl       deflate level from 0 to 9, 0 indicates no 
+   !> deflation is in use
+   !> @param[in] id_chunksz      chunk size
+   !> @return variable structure
+   !-------------------------------------------------------------------
    TYPE(TVAR) FUNCTION var__init_i8( cd_name, kd_value,        &
    &                                 id_start, id_count, id_type, td_dim, &
-   &                                 td_att, kd_fill, cd_units,&
+   &                                 td_att, kd_fill, cd_units, cd_axis,&
    &                                 cd_stdname, cd_longname,  &
    &                                 cd_point, id_id, id_ew,   &
@@ -2420,4 +2761,5 @@
       INTEGER(i8)     ,                       INTENT(IN), OPTIONAL :: kd_fill
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_units
+      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_axis 
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_stdname
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_longname
@@ -2471,4 +2813,5 @@
       &                      dd_fill=dl_fill,                    &
       &                      cd_units=cd_units,                  &
+      &                      cd_axis=cd_axis,                    &
       &                      cd_stdname=cd_stdname,              &
       &                      cd_longname=cd_longname,            &
@@ -2486,53 +2829,56 @@
       
    END FUNCTION var__init_i8
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This function initalise a variable structure.
-   !> - integer(4) 1D table of value could be added. 
-   !> - dimension structure could be added.
-   !> - attribute structure could be added
-   !
+   !-------------------------------------------------------------------
+   !> @brief This function initialize a variable structure,
+   !> with a integer(4) 1D array of value.
    !> @details 
+   !> optionally could be added:<br/>
+   !> - dimension structure.
+   !> - attribute structure.
+   !>
    !> dimension structure is needed to put value in variable structure. 
-   !> If none is given, we assume table is ordered as ('z') and we 
-   !> use table size as lentgh dimension. 
+   !> If none is given, we assume array is ordered as ('z') and we 
+   !> use array size as lentgh dimension. 
    !>
    !> indices in the variable where value will be written could be specify if
-   !> start and count table are given. Dimension structure is needed in that 
+   !> start and count array are given. Dimension structure is needed in that 
    !> case.    
    !
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] cd_name : variable name
-   !> @param[in] id_value : 1D table of integer(4) value
-   !> @param[in] id_start : index in the variable from which the data values 
-   !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !> @param[in] id_type : variable type 
-   !> @param[in] td_dim   : table of dimension structure
-   !> @param[in] td_att  : table of attribute structure
-   !> @param[in] id_fill : fill value
-   !> @param[in] cd_units : units
-   !> @param[in] cd_stdname : variable standard name
-   !> @param[in] cd_longname : variable long name
-   !> @param[in] cd_point : point on Arakawa-C grid (T,U,V,F)
-   !> @param[in] id_id : variable id
-   !> @param[in] id_ew : east west wrap
-   !> @param[in] dd_scf  : scale factor
-   !> @param[in] dd_ofs  : add offset
-   !> @param[in] id_rec : record id (for rstdimg file)
-   !> @param[in] dd_min : minimum value
-   !> @param[in] dd_max : maximum value
-   !> @param[in] ld_contiguous : use contiguous storage or not 
-   !> @param[in] ld_shuffle :  shuffle filter is turned on or not
-   !> @param[in] ld_fletcher32 : fletcher32 filter is turned on or not
-   !> @param[in] id_deflvl : deflate level from 0 to 9, 0 indicates no deflation is in use
-   !> @param[in] id_chunksz : chunk size
-   !-------------------------------------------------------------------
-   !> @code
+   !> - November, 2013- Initial Version
+   !
+   !> @param[in] cd_name         variable name
+   !> @param[in] id_value        1D array of integer(4) value
+   !> @param[in] id_start        index in the variable from which the 
+   !> data values will be read
+   !> @param[in] id_count        number of indices selected along 
+   !> each dimension
+   !> @param[in] id_type         variable type 
+   !> @param[in] td_dim          array of dimension structure
+   !> @param[in] td_att          array of attribute structure
+   !> @param[in] id_fill         fill value
+   !> @param[in] cd_units        units
+   !> @param[in] cd_axis         axis expected to be used
+   !> @param[in] cd_stdname      variable standard name
+   !> @param[in] cd_longname     variable long name
+   !> @param[in] cd_point        point on Arakawa-C grid (T,U,V,F)
+   !> @param[in] id_id           variable id
+   !> @param[in] id_ew           east west wrap
+   !> @param[in] dd_scf          scale factor
+   !> @param[in] dd_ofs          add offset
+   !> @param[in] id_rec          record id (for rstdimg file)
+   !> @param[in] dd_min          minimum value
+   !> @param[in] dd_max          maximum value
+   !> @param[in] ld_contiguous   use contiguous storage or not 
+   !> @param[in] ld_shuffle       shuffle filter is turned on or not
+   !> @param[in] ld_fletcher32   fletcher32 filter is turned on or not
+   !> @param[in] id_deflvl       deflate level from 0 to 9, 0 indicates no 
+   !> deflation is in use
+   !> @param[in] id_chunksz      chunk size
+   !> @return variable structure
+   !-------------------------------------------------------------------
    TYPE(TVAR) FUNCTION var__init_1D_i4( cd_name, id_value,        &
    &                                    id_start, id_count, id_type, td_dim, &
-   &                                    td_att, id_fill, cd_units,&
+   &                                    td_att, id_fill, cd_units, cd_axis,&
    &                                    cd_stdname, cd_longname,  &
    &                                    cd_point, id_id, id_ew,   &
@@ -2553,4 +2899,5 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_fill
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_units
+      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_axis 
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_stdname
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_longname
@@ -2600,4 +2947,5 @@
       &                         dd_fill=dl_fill,                    &
       &                         cd_units=cd_units,                  &
+      &                         cd_axis=cd_axis,                    &
       &                         cd_stdname=cd_stdname,              &
       &                         cd_longname=cd_longname,            &
@@ -2615,53 +2963,56 @@
  
    END FUNCTION var__init_1D_i4
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This function initalise a variable structure.
-   !> - integer(4) 2D table of value could be added. 
-   !> - dimension structure could be added.
-   !> - attribute structure could be added
-   !
+   !-------------------------------------------------------------------
+   !> @brief This function initialize a variable structure,
+   !> with a integer(4) 2D array of value.
    !> @details 
-   !> table of 2 dimension structure is needed to put value in variable structure. 
-   !> If none is given, we assume table is ordered as ('x','y') and we 
-   !> use table size as lentgh dimension. 
+   !> optionally could be added:<br/>
+   !> - dimension structure.
+   !> - attribute structure.
+   !>
+   !> array of 2 dimension structure is needed to put value in variable structure. 
+   !> If none is given, we assume array is ordered as ('x','y') and we 
+   !> use array size as lentgh dimension. 
    !>
    !> indices in the variable where value will be written could be specify if
-   !> start and count table are given. Dimension structure is needed in that 
+   !> start and count array are given. Dimension structure is needed in that 
    !> case.    
    !
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] cd_name : variable name
-   !> @param[in] id_value : 2D table of integer(4) value
-   !> @param[in] id_start : index in the variable from which the data values 
-   !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !> @param[in] id_type : variable type 
-   !> @param[in] td_dim   : table of dimension structure
-   !> @param[in] td_att  : table of attribute structure
-   !> @param[in] id_fill : fill value
-   !> @param[in] cd_units : units
-   !> @param[in] cd_stdname : variable standard name
-   !> @param[in] cd_longname : variable long name
-   !> @param[in] cd_point : point on Arakawa-C grid (T,U,V,F)
-   !> @param[in] id_id : variable id
-   !> @param[in] id_ew : east west wrap
-   !> @param[in] dd_scf  : scale factor
-   !> @param[in] dd_ofs  : add offset
-   !> @param[in] id_rec : record id (for rstdimg file)
-   !> @param[in] dd_min : minimum value
-   !> @param[in] dd_max : maximum value
-   !> @param[in] ld_contiguous : use contiguous storage or not 
-   !> @param[in] ld_shuffle :  shuffle filter is turned on or not
-   !> @param[in] ld_fletcher32 : fletcher32 filter is turned on or not
-   !> @param[in] id_deflvl : deflate level from 0 to 9, 0 indicates no deflation is in use
-   !> @param[in] id_chunksz : chunk size
-   !-------------------------------------------------------------------
-   !> @code
+   !> - November, 2013- Initial Version
+   !
+   !> @param[in] cd_name         variable name
+   !> @param[in] id_value        2D array of integer(4) value
+   !> @param[in] id_start        index in the variable from which the 
+   !> data values will be read
+   !> @param[in] id_count        number of indices selected along 
+   !> each dimension
+   !> @param[in] id_type         variable type 
+   !> @param[in] td_dim          array of dimension structure
+   !> @param[in] td_att          array of attribute structure
+   !> @param[in] id_fill         fill value
+   !> @param[in] cd_units        units
+   !> @param[in] cd_axis         axis expected to be used
+   !> @param[in] cd_stdname      variable standard name
+   !> @param[in] cd_longname     variable long name
+   !> @param[in] cd_point        point on Arakawa-C grid (T,U,V,F)
+   !> @param[in] id_id           variable id
+   !> @param[in] id_ew           east west wrap
+   !> @param[in] dd_scf          scale factor
+   !> @param[in] dd_ofs          add offset
+   !> @param[in] id_rec          record id (for rstdimg file)
+   !> @param[in] dd_min          minimum value
+   !> @param[in] dd_max          maximum value
+   !> @param[in] ld_contiguous   use contiguous storage or not 
+   !> @param[in] ld_shuffle       shuffle filter is turned on or not
+   !> @param[in] ld_fletcher32   fletcher32 filter is turned on or not
+   !> @param[in] id_deflvl       deflate level from 0 to 9, 0 indicates no 
+   !> deflation is in use
+   !> @param[in] id_chunksz      chunk size
+   !> @return variable structure
+   !-------------------------------------------------------------------
    TYPE(TVAR) FUNCTION var__init_2D_i4( cd_name, id_value,        &
    &                                    id_start, id_count, id_type, td_dim, &
-   &                                    td_att, id_fill, cd_units,&
+   &                                    td_att, id_fill, cd_units, cd_axis,&
    &                                    cd_stdname, cd_longname,  &
    &                                    cd_point, id_id, id_ew,   &
@@ -2675,6 +3026,6 @@
       CHARACTER(LEN=*),                       INTENT(IN) :: cd_name
       INTEGER(i4)     , DIMENSION(:,:)     ,  INTENT(IN) :: id_value
-      INTEGER(i4)     , DIMENSION(:)       , INTENT(IN), OPTIONAL :: id_start
-      INTEGER(i4)     , DIMENSION(:)       , INTENT(IN), OPTIONAL :: id_count
+      INTEGER(i4)     , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: id_start
+      INTEGER(i4)     , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: id_count
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_type 
       TYPE(TDIM)      , DIMENSION(:)       ,  INTENT(IN), OPTIONAL :: td_dim
@@ -2682,4 +3033,5 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_fill
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_units
+      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_axis 
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_stdname
       CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_longname
@@ -2731,4 +3083,5 @@
       &                         dd_fill=dl_fill,                    &
       &                         cd_units=cd_units,                  &
+      &                         cd_axis=cd_axis,                    &
       &                         cd_stdname=cd_stdname,              &
       &                         cd_longname=cd_longname,            &
